// config.h for D1M-WX1_IoT_Delta.ino

// This configuration file should reside in the same Arduino
// directory as the weather station file D1M-WX1_IoT_Delta.ino.

// *******************************************************
// ********************* WIFI LOGON **********************
// *******************************************************

// ENTER YOUR WI-FI SSID
// YOU MUST USE 2.4 GHz WiFi, NOT 5 GHz
const char WIFI_SSID[] = "yourWiFi_SSID";

// ENTER YOUR PASSWORD
const char WIFI_PASSWORD[] = "yourWiFi_PW";

// *******************************************************
// **************** STATION FACTORS **********************
// *******************************************************

// If you have performed the voltage calibration steps, enter
// the voltage you measured on your digital multimeter and
// the voltage reported by the ADC on the serial monitor.
// If you have not performed the calibration, do not change 
// the default values. They should be equal.

const float dmmVoltage = 1.00;
const float adcVoltage = 1.00;

// station altitude in meters
// https://www.freemaptools.com/elevation-finder.htm
const float STATION_ELEV = 90.0;

// update interval in seconds
// must be longer than 15 seconds
// suggest 60 seconds for testing, 300 or 450 for use
const long SLEEP_INTERVAL = 300;  // 5 minutes = 5 * 60

// *******************************************************
// ******************** THINGSPEAK ***********************
// *******************************************************

// Open a ThingSpeak account at www.thingspeak.com
/* Define fields:
 *  Field 1 Temperature °C
 *  Field 2 Humidity
 *  Field 3 Station Pressure
 *  Field 4 Sea Level Pressure
 *  Field 5 Light Intensity
 *  Field 6 Cell Voltage
 *  Field 7 RSSI
 *  Field 8 Temperature °F
 *  Show Location checked
 *  Show Status checked
 */

// ThingSpeak Channel ID
String ChannelID = "yourChannelID";

// API write key for your ThingSpeak channel
String apiWriteKey = "yourAPI_write_Key";
